AddNotificationsFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddNotificationsFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class AddNotificationsFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddNotificationsFormPrepareAction

Direct Known Subclasses:
  AddUsersFormPrepareAction

    public abstract class AddNotificationsFormPrepareAction

extends org.apache.struts.tiles.actions.TilesAction

An abstract base class for setting up the add notifications form(s).

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`AddNotificationsFormPrepareAction()`

Method Summary
`java.lang.Integer[]` | `getNotificationIds(javax.servlet.http.HttpServletRequest request, AddNotificationsForm addForm, AppdefEntityID aeid, int notificationType)` Return the array of Integer ids for the given `notificationType` contained in the alert definition notification actions.

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute, execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddNotificationsFormPrepareAction

    public AddNotificationsFormPrepareAction()

Method Detail

### getNotificationIds

    public java.lang.Integer[] getNotificationIds(javax.servlet.http.HttpServletRequest request,
                                                  AddNotificationsForm addForm,
                                                  AppdefEntityID aeid,
                                                  int notificationType)
                                           throws javax.servlet.ServletException,
                                                  SessionNotFoundException,
                                                  SessionTimeoutException,
                                                  PermissionException,
                                                  java.rmi.RemoteException,
                                                  javax.ejb.FinderException,
                                                  EncodingException,
                                                  InvalidActionDataException

  Return the array of Integer ids for the given `notificationType` contained in the alert definition notification actions.

  This method also sets the alert definition object on the form and places it in the request. It also puts the resource id and resource type in the request.

  Parameters:
    `addForm` - the form being prepared
    `notificationType` - the type of notification
  Returns:
    the array of ids for already existing notifications based on the notificationType, or a zero-length array if there are not yet any notifications of this type
  Throws:
    `javax.servlet.ServletException`
    `javax.ejb.FinderException`
    `java.rmi.RemoteException`
    `PermissionException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `EncodingException`
    `InvalidActionDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.